Skip to main content
Resource Center/Resource Pool/Image Operations

ExpungeImage

ExpungeImage

PUT/zstack/v1/images/{imageUuid}/actions

Operation ID

ExpungeImage

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • imageUuid
    StringRequired

    The image UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • Uuid
      StringRequired

      The resource UUID.

    • backupStorageUuids
      List

      Optional. The backup storage UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.